// -----------------------------------------------------------------------------
// |    ___  ___  _  _ _     ___                                        _      |
// |   / __>| . \| || \ |   | __>_ _  ___ ._ _ _  ___  _ _ _  ___  _ _ | |__   |
// |   \__ \|  _/| ||   |   | _>| '_><_> || ' ' |/ ._>| | | |/ . \| '_>| / /   |
// |   <___/|_|  |_||_\_|   |_| |_|  <___||_|_|_|\___.|__/_/ \___/|_|  |_\_\   |
// |                                                                           |
// |---------------------------------------------------------------------------|
//
// http://spinframework.sourceforge.net
// Copyright (C) 2009 Mike Wozniewski, Zack Settel
//
// Developed/Maintained by:
//    Mike Wozniewski (http://www.mikewoz.com)
//    Zack Settel (http://www.sheefa.net/zack)
//
// Principle Partners:
//    Shared Reality Lab, McGill University (http://www.cim.mcgill.ca/sre)
//    La Societe des Arts Technologiques (http://www.sat.qc.ca)
//
// Funding by:
//    NSERC/Canada Council for the Arts - New Media Initiative
//    Heritage Canada
//    Ministere du Developpement economique, de l'Innovation et de l'Exportation
//
// -----------------------------------------------------------------------------
//  This file is part of the SPIN Framework.
//
//  SPIN Framework is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  SPIN Framework is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with SPIN Framework. If not, see <http://www.gnu.org/licenses/>.
// -----------------------------------------------------------------------------

#ifndef __SPIN_DEFAULTS_H__
#define __SPIN_DEFAULTS_H__

namespace spin
{

namespace spin_defaults {
    static const char *SCENE_ID = "default";
    static const char *INFO_UDP_PORT = "54320";
    static const char *SYNC_UDP_PORT = "54321";
    static const char *CLIENT_TCP_PORT = "54325";
    static const char *SERVER_TCP_PORT = "54322";
    static const char *CLIENT_RX_UDP_PORT = "54323";
    static const char *CLIENT_TX_UDP_PORT = "54324";
    static const char *SERVER_RX_UDP_PORT = CLIENT_TX_UDP_PORT; // "54324"
    static const char *SERVER_TX_UDP_PORT = CLIENT_RX_UDP_PORT; // "54323"
    static const char *MULTICAST_GROUP = "239.0.0.1";
}

} // end of namespace spin

#endif // __SPIN_DEFAULTS_H__

